SDL_IOStream(3type)

NAME
SDL_IOStream - The read/write operation structure.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_IOStream SDL_IOStream;

DESCRIPTION
This operates as an opaque handle. There are several APIs to create various types of I/O streams, or an app can supply an

SDL_IOStreamInterface
 to

SDL_OpenIO () to provide their own stream implementation behind this struct's abstract interface.

AVAILABILITY
This struct is available since SDL 3.2.0.